jpeg_reader.cpp File Reference

Implementation of the claw::graphic::jpeg::reader class. More...

`#include <claw/jpeg.hpp>`
`#include <claw/jpeg_error_manager.hpp>`
`#include <claw/exception.hpp>`
`#include <claw/assert.hpp>`

Go to the source code of this file.

## Functions

| claw__graphic__jpeg__source_manager__init_source (j_decompress_ptr cinfo)
| Initialize the input stream.
| claw__graphic__jpeg__source_manager__fill_input_buffer (j_decompress_ptr cinfo)
| Fill the input buffer with new data.
| claw__graphic__jpeg__source_manager__skip_input_data (j_decompress_ptr cinfo, long num_bytes)
| Skip some bytes in the input buffer.
| claw__graphic__jpeg__source_manager__term_source (j_decompress_ptr cinfo)
| Close the input stream.

## Detailed Description

Implementation of the claw::graphic::jpeg::reader class.

Author
  Julien Jorge

Definition in file jpeg_reader.cpp.

## Function Documentation

## claw__graphic__jpeg__source_manager__fill_input_buffer()

claw__graphic__jpeg__source_manager__fill_input_buffer | ( | j_decompress_ptr | cinfo | ) |

Fill the input buffer with new data.

Parameters

  cinfo | Informations about the decompression.

Definition at line 53 of file jpeg_reader.cpp.

References claw__graphic__jpeg__source_manager__fill_input_buffer(), CLAW_PRECOND, claw::graphic::jpeg::reader::source_manager::fill_input_buffer(), and claw::graphic::jpeg::reader::source_manager::pub.

Referenced by claw__graphic__jpeg__source_manager__fill_input_buffer().

## claw__graphic__jpeg__source_manager__init_source()

claw__graphic__jpeg__source_manager__init_source | ( | j_decompress_ptr | cinfo | ) |

Initialize the input stream.

Parameters

  cinfo | Informations about the decompression.

Definition at line 42 of file jpeg_reader.cpp.

References claw__graphic__jpeg__source_manager__init_source().

Referenced by claw__graphic__jpeg__source_manager__init_source().

## claw__graphic__jpeg__source_manager__skip_input_data()

claw__graphic__jpeg__source_manager__skip_input_data | ( | j_decompress_ptr | cinfo,
|  | long | num_bytes )

Skip some bytes in the input buffer.

Parameters

  cinfo | Informations about the decompression.
  num_bytes | The number of bytes to skip.

Definition at line 70 of file jpeg_reader.cpp.

References claw__graphic__jpeg__source_manager__skip_input_data(), CLAW_PRECOND, claw::graphic::jpeg::reader::source_manager::pub, and claw::graphic::jpeg::reader::source_manager::skip_input_data().

Referenced by claw__graphic__jpeg__source_manager__skip_input_data().

## claw__graphic__jpeg__source_manager__term_source()

claw__graphic__jpeg__source_manager__term_source | ( | j_decompress_ptr | cinfo | ) |

Close the input stream.

Parameters

  cinfo | Informations about the decompression.

Definition at line 87 of file jpeg_reader.cpp.

References claw__graphic__jpeg__source_manager__term_source().

Referenced by claw__graphic__jpeg__source_manager__term_source().